﻿.sgInfoWindow
{
    position: absolute;
    z-index: 100;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    border-radius: 5px;
    -moz-box-shadow: 0 0 1em #26393D;
    border: 2px solid #335533;
    background-color: white;
    box-shadow: 4px 4px 3px rgba(20%,20%,40%,0.5);
    width:300px
}

    .sgInfoWindow .title {
        font-family: sans-serif;
        font-size: 12px;
        font-weight: bold;
        padding: 2px 2px 2px 2px;
        overflow: hidden;
        background-color: #1EA77F;
        color: black;
        border-bottom: 1px solid #26393D;
        z-index: 1;
        height: 25px;
        width: 295px !important;
    }

    .sgInfoWindow .content {
        position: relative;
        color: #002F2F;
        background-color: white;
        overflow: auto;
        z-index: 1;
        padding: 2px 2px 2px 2px;
        -moz-border-radius: 5px;
        -webkit-border-radius: 5px;
        border-radius: 5px;
        border-radius: 5px;
        width: 295px !important;
    }

.sgInfoWindow .close
{
    color: White;
    position: absolute;
    top: 0px;
    right: 0px;
    cursor: pointer;
    width: 1.1em;
    height: 1.1em;
    margin: 0;
    text-align: center;
}

.sgInfoWindow .hide
{
    color: White;
    position: absolute;
    top: 0px;
    right: 1.1em;
    cursor: pointer;
    width: 1.1em;
    height: 1.1em;
    margin: 0;
    text-align: center;
}

.sgInfoWindow .odd-attribute
{
    background-color: #cccccc;
}

.sgInfoWindow .even-attribute
{
}

.sgInfoWindow .attribute-name
{
    font-weight: bold;
    /*margin-right: 5px;*/
}

.sgInfoWindow .attribute-value
{
    /*margin-left: 5px;*/
    display : inline-block;
}

.sgInfoWindow .pointer
{
    position: absolute;
    border: 2px solid #26393D;
    width: 48px;
    height: 48px;
    background-color: white;
    -ms-transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    box-shadow: 4px 4px 3px rgba(20%,20%,40%,0.5);
}

.sgInfoWindow .left-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: -30px;
}

.sgInfoWindow .left-pointer .pointer
{
    top: 50%;
    left: 18px;
    margin-top: -25px;
}

.sgInfoWindow .left-top-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: -30px;
}

.sgInfoWindow .left-top-pointer .pointer
{
    top: 24px;
    left: 18px;
}

.sgInfoWindow .left-bottom-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: -30px;
}

.sgInfoWindow .left-bottom-pointer .pointer
{
    bottom: 24px;
    left: 18px;
}

.sgInfoWindow .right-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: 100%;
}

.sgInfoWindow .right-pointer .pointer
{
    top: 50%;
    right: 18px;
    margin-top: -25px;
}

.sgInfoWindow .right-top-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: 100%;
}

.sgInfoWindow .right-top-pointer .pointer
{
    top: 24px;
    right: 18px;
}

.sgInfoWindow .right-bottom-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 100%;
    width: 30px;
    top: 0;
    left: 100%;
}

.sgInfoWindow .right-bottom-pointer .pointer
{
    bottom: 24px;
    right: 18px;
}

.sgInfoWindow .top-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 30px;
    width: 100%;
    top: -30px;
    left: 0;
}

.sgInfoWindow .top-pointer .pointer
{
    background-color: #338833;
    left: 50%;
    top: 18px;
    margin-left: -25px;
}

.sgInfoWindow .bottom-pointer
{
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 30px;
    width: 100%;
    top: 100%;
    left: 0;
}

.sgInfoWindow .bottom-pointer .pointer
{
    left: 50%;
    bottom: 18px;
    margin-left: -25px;
}

.sgInfoWindow .none-pointer
{
	display: none;
    position: absolute;
    overflow: hidden;
    pointer-events: none;
    height: 30px;
    width: 100%;
    top: 100%;
    left: 0;
}

.sgInfoWindow .none-pointer .pointer
{
    left: 50%;
    bottom: 18px;
    margin-left: -25px;
}
